### Method

# Gtk.Snapshot.append_cairo

#### Declaration [src]

    cairo_t*
    gtk_snapshot_append_cairo (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a new `GskCairoNode` and appends it to the current render node of `snapshot`, without changing the current node.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the bounds for the new node
| Ownership is not transferred to the callee

#### Return value

Returns: `cairo_t*`
a `cairo_t` suitable for drawing the contents of the newly created render node
Ownership of the data is transferred to the caller